Re: [openstack-dev] [solum] Consistency of development environment

2014-09-12 Thread Paul Czarkowski
While I installed dnsmasq 2.63 manually, they used Ubuntu 14.04 to get around the problem. Is it maybe time to upgrade the base for the dev env to 14.04, or would that cause many other problems? Have you tried that out? If you have a pointer to an appropriate 14.04 image I can configure in

Re: [openstack-dev] [DevStack] neutron config not working

2014-07-03 Thread Paul Czarkowski
I¹m seeing similar. Instances launch, they show as having Ips in `neutron list` but I cannot access them via IP. Other thing I¹ve notices is that doing a `neutron agent-list` gives me an empty list, I would assume it should at least show the dhcp agent ? On 7/1/14, 12:00 PM, Kyle Mestery

[openstack-dev] [neutron] devstack w/ neutron in vagrant - floating IPs

2014-05-20 Thread Paul Czarkowski
Has anyone had any success with running devstack and neutron in a vagrant machine where the floating Ips are accessible from outside of the vagrant box ( I.e. From the host ). I’ve spent a few hours trying to get it working without any real success.

Re: [openstack-dev] [infra][nova][docker]

2014-04-11 Thread Paul Czarkowski
I would rather see the devstack support be integrated in devstack's repo itself. There's a review Outstanding for devstack[1] that adds this support in and also adds in some pieces to make it easier to utilize external nova drivers. If that fails out then I'm all for merging in your review to

Re: [openstack-dev] [infra][nova][docker]

2014-04-11 Thread Paul Czarkowski
, Paul Czarkowski wrote: I would rather see the devstack support be integrated in devstack's repo itself. There's a review Outstanding for devstack[1] that adds this support in and also adds in some pieces to make it easier to utilize external nova drivers. If that fails out then I'm all

Re: [openstack-dev] [Openstack][Nova][Docker] Devstack with docker driver

2014-03-12 Thread Paul Czarkowski
There is a bug in the default docker registry. Set this is your localrc and it should work DOCKER_REGISTRY_IMAGE=samalba/docker-registry On 3/12/14 1:35 AM, urgensherpa sherpa.ur...@outlook.com wrote: hello there,i setup using devstack ..below is my docker version output

Re: [openstack-dev] [Solum] Regarding language pack database schema

2014-02-18 Thread Paul Czarkowski
I'm also a +1 for #2.However as discussed on IRC, we should clearly spell out that the JSON blob should never be treated in a SQL-like manner. The moment somebody says 'I want to make that item in the json searchable' is the time to discuss adding it as part of the SQL schema. On 2/13/14

Re: [openstack-dev] [Solum] Question about Zuul's role in Solum

2014-02-12 Thread Paul Czarkowski
On 2/12/14 5:16 PM, Roshan Agrawal roshan.agra...@rackspace.com wrote: -Original Message- From: devdatta kulkarni [mailto:devdatta.kulka...@rackspace.com] Sent: Wednesday, February 12, 2014 3:26 PM To: OpenStack Development Mailing List (not for usage questions) Subject:

Re: [openstack-dev] [Solum] Lang-pack working group meeting cancelled today due to freenode DOS, will be rescheduled

2014-02-04 Thread Paul Czarkowski
Works for me. On 2/4/14 11:07 AM, devdatta kulkarni devdatta.kulka...@rackspace.com wrote: Sounds good to me. - Devdatta -Original Message- From: Clayton Coleman ccole...@redhat.com Sent: Monday, February 3, 2014 12:10pm To: OpenStack Development Mailing List (not for usage questions)

Re: [openstack-dev] [solum] Issues in running tests

2014-02-03 Thread Paul Czarkowski
If you're running on a machine with devstack these dependencies *should* already be met. If you like to work on VMs on your local box I have build a Vagrant dev environment that should take care of your dependencies here - https://github.com/rackerlabs/vagrant-solum-dev I think it's

[openstack-dev] [solum][general] some pip package installs from requirements.txt fail when using pip 1.5

2014-01-02 Thread Paul Czarkowski
I have a box with a newer version of pip ( 1.5 ) and it refuses to install netaddr = 0.7.6 as it's an external/insecure pip package.This may cause issues for devs that are running newer versions of pip than standard system packages. There maybe other packages in the larger

Re: [openstack-dev] [Solum] MySQL Storage Engine

2013-12-04 Thread Paul Czarkowski
On 12/4/13 3:06 PM, Adrian Otto adrian.o...@rackspace.com wrote: On Dec 4, 2013, at 12:32 PM, Monty Taylor mord...@inaugust.com wrote: On 12/04/2013 03:25 PM, Clint Byrum wrote: Excerpts from Paul Montgomery's message of 2013-12-04 12:04:06 -0800: TLDR: Should Solum log a warning if